Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for PostgreSQL
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • ListRunningRepacks
        • LaunchRepack
        • TerminateRepack
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Body parameters
  • RepackSpec
  • RepackTarget
  • Response
  • FinishedRepack
  • RunningRepack
  • RepackSpec
  • RepackTarget
  1. API reference
  2. REST
  3. ManagedRepack
  4. LaunchRepack

Managed Service for PostgreSQL API, REST: ManagedRepack.LaunchRepack

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Body parameters
  • RepackSpec
  • RepackTarget
  • Response
  • FinishedRepack
  • RunningRepack
  • RepackSpec
  • RepackTarget

Launches new Repack in given cluster

HTTP requestHTTP request

POST https://mdb.api.cloud.yandex.net/managed-postgresql/v1/clusters/{clusterId}:managedRepack_launch

Path parametersPath parameters

Request to launch a new Repack in a cluster.

Field

Description

clusterId

string

Required field. Required. ID of the PostgreSQL cluster that Repack is running in.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

Body parametersBody parameters

{
  "spec": {
    "type": "string",
    "dbname": "string",
    "targets": [
      {
        "schema": "string",
        // Includes only one of the fields `name`, `allInSchema`
        "name": "string",
        "allInSchema": "boolean"
        // end of the list of possible fields
      }
    ],
    "waitTimeout": "string",
    "jobs": "string"
  },
  "startTimeout": "string",
  "launchId": "string"
}

Request to launch a new Repack in a cluster.

Field

Description

spec

RepackSpec

Required field. Specification of repack to launch

startTimeout

string (duration)

Initial timeout to tell finished immediately from running repacks
Defaults to 1 second, if not specified

launchId

string

UUID of launch to be set by client

RepackSpecRepackSpec

Represents specification for launching new Repack process

Field

Description

type

enum (RepackType)

Which objects to repack

  • REPACK_TYPE_INDEX: Repack indexes.
  • REPACK_TYPE_TABLE: Repack tables.

dbname

string

database name this repack process is working with

targets[]

RepackTarget

list of target objects this repack process is working with

waitTimeout

string (int64)

pg_repack option; timeout to cancel other backends on conflict

jobs

string (int64)

pg_repack option; Use this many parallel jobs for each table

RepackTargetRepackTarget

Single object to repack

Field

Description

schema

string

Schema of object to be repacked
If not given, defaults to "public"

name

string

Name of object to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

allInSchema

boolean

All objects within given schema are to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

ResponseResponse

HTTP Code: 200 - OK

{
  // Includes only one of the fields `finished`, `running`
  "finished": {
    "clusterId": "string",
    "exitCode": "string",
    "launchId": "string"
  },
  "running": {
    "clusterId": "string",
    "startTime": "string",
    "spec": {
      "type": "string",
      "dbname": "string",
      "targets": [
        {
          "schema": "string",
          // Includes only one of the fields `name`, `allInSchema`
          "name": "string",
          "allInSchema": "boolean"
          // end of the list of possible fields
        }
      ],
      "waitTimeout": "string",
      "jobs": "string"
    },
    "launchId": "string"
  }
  // end of the list of possible fields
}

Result of a Repack launch.

Field

Description

finished

FinishedRepack

Returned if pg_repack finishes immediately before start_timeout expires

Includes only one of the fields finished, running.

Outcome of the launch: finished immediately or still running.

running

RunningRepack

Returned if pg_repack still runs after start_timeout expires

Includes only one of the fields finished, running.

Outcome of the launch: finished immediately or still running.

FinishedRepackFinishedRepack

Represents already finished repack process

Field

Description

clusterId

string

Which cluster this repack was launched in

exitCode

string (int64)

Exit code of this repack launch

launchId

string

UUID of launch, identifier of specific instance of launched repack

RunningRepackRunningRepack

Represents currently running repack process

Field

Description

clusterId

string

Which cluster this repack runs in

startTime

string (date-time)

When this repack process has been started

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

spec

RepackSpec

Specification for this running repack

launchId

string

UUID of launch, identifier of specific instance of launched repack

RepackSpecRepackSpec

Represents specification for launching new Repack process

Field

Description

type

enum (RepackType)

Which objects to repack

  • REPACK_TYPE_INDEX: Repack indexes.
  • REPACK_TYPE_TABLE: Repack tables.

dbname

string

database name this repack process is working with

targets[]

RepackTarget

list of target objects this repack process is working with

waitTimeout

string (int64)

pg_repack option; timeout to cancel other backends on conflict

jobs

string (int64)

pg_repack option; Use this many parallel jobs for each table

RepackTargetRepackTarget

Single object to repack

Field

Description

schema

string

Schema of object to be repacked
If not given, defaults to "public"

name

string

Name of object to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

allInSchema

boolean

All objects within given schema are to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

Was the article helpful?

Previous
ListRunningRepacks
Next
TerminateRepack
© 2026 Direct Cursus Technology L.L.C.